Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Halide::Internal::IRMatcher::LanesOf< A > Struct Template Reference

`#include <IRMatch.h>`

## Classes
struct | pattern_tag

## Public Member Functions
HALIDE_ALWAYS_INLINE void | make_folded_const (halide_scalar_value_t &val, halide_type_t &ty, MatcherState &state) const

## Public Attributes
A | a

## Static Public Attributes
static constexpr uint32_t | binds = bindings<A>::mask
static constexpr IRNodeType | min_node_type = IRNodeType::UIntImm
static constexpr IRNodeType | max_node_type = IRNodeType::UIntImm
static constexpr bool | canonical = true
static constexpr bool | foldable = true

## Detailed Description

template<typename A>
struct Halide::Internal::IRMatcher::LanesOf< A >

Definition at line 2724 of file IRMatch.h.

## Member Function Documentation

## ◆ make_folded_const()

template<typename A >

HALIDE_ALWAYS_INLINE void Halide::Internal::IRMatcher::LanesOf< A >::make_folded_const | ( | halide_scalar_value_t & | val,
|  | halide_type_t & | ty,
|  | MatcherState & | state
| ) |  | const
| inline

Definition at line 2738 of file IRMatch.h.

References Halide::Internal::IRMatcher::LanesOf< A >::a, Halide::Internal::IRMatcher::cast(), halide_type_uint, Halide::Type::lanes(), halide_scalar_value_t::u, and halide_scalar_value_t::u64.

## Member Data Documentation

## ◆ a

template<typename A >

A Halide::Internal::IRMatcher::LanesOf< A >::a

Definition at line 2726 of file IRMatch.h.

Referenced by Halide::Internal::IRMatcher::LanesOf< A >::make_folded_const(), and Halide::Internal::IRMatcher::operator<<().

## ◆ binds

template<typename A >

constexpr uint32_t Halide::Internal::IRMatcher::LanesOf< A >::binds = bindings<A>::mask
| static constexpr

Definition at line 2728 of file IRMatch.h.

## ◆ min_node_type

template<typename A >

constexpr IRNodeType Halide::Internal::IRMatcher::LanesOf< A >::min_node_type = IRNodeType::UIntImm
| static constexpr

Definition at line 2731 of file IRMatch.h.

## ◆ max_node_type

template<typename A >

constexpr IRNodeType Halide::Internal::IRMatcher::LanesOf< A >::max_node_type = IRNodeType::UIntImm
| static constexpr

Definition at line 2732 of file IRMatch.h.

## ◆ canonical

template<typename A >

constexpr bool Halide::Internal::IRMatcher::LanesOf< A >::canonical = true
| static constexpr

Definition at line 2733 of file IRMatch.h.

## ◆ foldable

template<typename A >

constexpr bool Halide::Internal::IRMatcher::LanesOf< A >::foldable = true
| static constexpr

Definition at line 2735 of file IRMatch.h.

The documentation for this struct was generated from the following file:

- src/IRMatch.h